

# BatchPutPropertyValues
<a name="API_BatchPutPropertyValues"></a>

Sets values for multiple time series properties.

## Request Syntax
<a name="API_BatchPutPropertyValues_RequestSyntax"></a>

```
POST /workspaces/workspaceId/entity-properties HTTP/1.1
Content-type: application/json

{
   "entries": [ 
      { 
         "entityPropertyReference": { 
            "componentName": "string",
            "componentPath": "string",
            "entityId": "string",
            "externalIdProperty": { 
               "string" : "string" 
            },
            "propertyName": "string"
         },
         "propertyValues": [ 
            { 
               "time": "string",
               "timestamp": number,
               "value": { 
                  "booleanValue": boolean,
                  "doubleValue": number,
                  "expression": "string",
                  "integerValue": number,
                  "listValue": [ 
                     "DataValue"
                  ],
                  "longValue": number,
                  "mapValue": { 
                     "string" : "DataValue"
                  },
                  "relationshipValue": { 
                     "targetComponentName": "string",
                     "targetEntityId": "string"
                  },
                  "stringValue": "string"
               }
            }
         ]
      }
   ]
}
```

## URI Request Parameters
<a name="API_BatchPutPropertyValues_RequestParameters"></a>

The request uses the following URI parameters.

 ** [workspaceId](#API_BatchPutPropertyValues_RequestSyntax) **   <a name="tm-BatchPutPropertyValues-request-uri-workspaceId"></a>
The ID of the workspace that contains the properties to set.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z_0-9][a-zA-Z_\-0-9]*[a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_BatchPutPropertyValues_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [entries](#API_BatchPutPropertyValues_RequestSyntax) **   <a name="tm-BatchPutPropertyValues-request-entries"></a>
An object that maps strings to the property value entries to set. Each string in the mapping must be unique to this object.  
Type: Array of [PropertyValueEntry](API_PropertyValueEntry.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 10 items.  
Required: Yes

## Response Syntax
<a name="API_BatchPutPropertyValues_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "errorEntries": [ 
      { 
         "errors": [ 
            { 
               "entry": { 
                  "entityPropertyReference": { 
                     "componentName": "string",
                     "componentPath": "string",
                     "entityId": "string",
                     "externalIdProperty": { 
                        "string" : "string" 
                     },
                     "propertyName": "string"
                  },
                  "propertyValues": [ 
                     { 
                        "time": "string",
                        "timestamp": number,
                        "value": { 
                           "booleanValue": boolean,
                           "doubleValue": number,
                           "expression": "string",
                           "integerValue": number,
                           "listValue": [ 
                              "DataValue"
                           ],
                           "longValue": number,
                           "mapValue": { 
                              "string" : "DataValue"
                           },
                           "relationshipValue": { 
                              "targetComponentName": "string",
                              "targetEntityId": "string"
                           },
                           "stringValue": "string"
                        }
                     }
                  ]
               },
               "errorCode": "string",
               "errorMessage": "string"
            }
         ]
      }
   ]
}
```

## Response Elements
<a name="API_BatchPutPropertyValues_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [errorEntries](#API_BatchPutPropertyValues_ResponseSyntax) **   <a name="tm-BatchPutPropertyValues-response-errorEntries"></a>
Entries that caused errors in the batch put operation.  
Type: Array of [BatchPutPropertyErrorEntry](API_BatchPutPropertyErrorEntry.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 10 items.

## Errors
<a name="API_BatchPutPropertyValues_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
An unexpected error has occurred.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The resource wasn't found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The rate exceeds the limit.  
HTTP Status Code: 429

 ** ValidationException **   
Failed  
HTTP Status Code: 400

## See Also
<a name="API_BatchPutPropertyValues_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iottwinmaker-2021-11-29/BatchPutPropertyValues) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iottwinmaker-2021-11-29/BatchPutPropertyValues) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iottwinmaker-2021-11-29/BatchPutPropertyValues) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iottwinmaker-2021-11-29/BatchPutPropertyValues) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iottwinmaker-2021-11-29/BatchPutPropertyValues) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iottwinmaker-2021-11-29/BatchPutPropertyValues) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iottwinmaker-2021-11-29/BatchPutPropertyValues) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iottwinmaker-2021-11-29/BatchPutPropertyValues) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iottwinmaker-2021-11-29/BatchPutPropertyValues) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iottwinmaker-2021-11-29/BatchPutPropertyValues) 